#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QDebug>
#include "serial.h"
#include <QTranslator>
#include <QSettings>
#include "iap.h"
#include "iapthread.h"

namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();

private slots:
    //void on_sendButton_clicked();

    void on_openPortButton_clicked();

    void on_clearTextButton_clicked();

    //void on_clearSendButton_clicked();

    void readSerialData(); // 读取从自定义串口类获得的数据

//    void on_pushButton_clicked();

//    void on_pushButton_2_clicked();

//    void on_pushButton_3_clicked();

//    void on_zhuliGetButton_clicked();

//    void on_zhuliSetButton_clicked();

//    void on_zbSetButton_clicked();

//    void on_zbGetButton_clicked();

//    void on_actionchinese_triggered();

//    void on_actionenglish_triggered();
    void timeUpdate();
    void timeIAPUpdate();
    void procPackage();

//    void on_hfccButton_clicked();
//    void disableSetBValue();
//    void hfccSendDataPage1();
//    void hfccSendDataPage2();
//    void hfccSendDataPage3();
    void timeoutUpdate();//接收数据超时处理

    void on_scanPortButton_clicked();

//    void on_njGetButton_clicked();

//    void on_njSetButton_clicked();
//    void hfccSendDataPage4();

    void on_actionabout_triggered();

    void on_iapLoadFileButton_clicked();

    void on_iapDownLoadButton_clicked();

    void on_iapClearButton_clicked();

    //加载固件
    void LoadFile();

public:
    Serial *m_serial; // 自定义串口类对象指针
private:
    Ui::MainWindow *ui;


    QTimer *timer;
    QTimer *timerout;
    QTimer *timerIAP;
    QByteArray recvPackage;
    int getMsgFlag;
    QString m_strSwVersion;
    char m_cCalibrateValue;
    iap *IAP;//iap类对象指针
};

#endif // MAINWINDOW_H
